Subject: Re: Linux 2.6 HTB does only work with existing connections

From: Andi Kleen <[email-masked]>
Date: 22 Feb 2007 14:47:38 +0100

"Hua Zhong" <[email-masked]> writes:

> Correction: it's TSO, not TOE.
> 
> By googling I found that specifying a big MTU (like 16500) on the "tc class"
> command avoids the "giant" packets. No idea where they come from.

They come from TCP because it will pass down a max MTU sized packet
(upto 64k) for the NIC to segment (Tcp Segmentation Offload)

But the traffic control cannot work with such large packets.

> Any better idea on a proper fix?

Hmm, that's nasty.   The only workaround I could think of would
be to force TSO/LSO off when a non standard queueing discipline is active.

-Andi